Bug 693804 - Review Request: octave-octcdf - A NetCDF interface for octave
Review Request: octave-octcdf - A NetCDF interface for octave
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-05 11:51 EDT by Orion Poplawski
Modified: 2011-04-18 13:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-18 13:50:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jamatos: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2011-04-05 11:51:24 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/octave-octcdf.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/octave-octcdf-1.1.2-1.fc14.src.rpm
Description:
A NetCDF interface for octave
Comment 1 José Matos 2011-04-12 14:04:50 EDT
The package is approved.

There are two minor issues that I trust you to take care before importing the file. An answer is enough if there is nothing to do. :-)

1) Are those .autoload files supposed to be present in the packinfo directory?

2) According to the draft the COPYING and DESCRIPTION files should be marked as %doc.

Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

[x] : MUST - Package successfully compiles and builds into binary rpms on at least one supported architecture.
[x] : MUST - Each %files section contains %defattr
[x] : MUST - Header files in -devel subpackage, if present.
[x] : MUST - Spec file lacks Packager, Vendor, PreReq tags.
[x] : MUST - Package does not contain any libtool archives (.la)
[x] : MUST - Package use %makeinstall only when make install DESTDIR=... doesn't work.
[x] : MUST - Package is named according to the Package Naming Guidelines.
[x] : MUST - Sources used to build the package matches the upstream source, as provided in the spec URL.
        MD5SUM this package     : f202571bdd3688d0da1215fb8dd02fa0
        MD5SUM upstream package : f202571bdd3688d0da1215fb8dd02fa0
[x] : MUST - Spec file name must match the spec package %{name}, in the format %{name}.spec.
[-] : MUST - %config files are marked noreplace or the reason is justified.
[-] : MUST - Package contains a properly installed %{name}.desktop using desktop-file-install file if it is a GUI application.
[-] : MUST - Fully versioned dependency in subpackages, if present.
[-] : MUST - ldconfig called in %post and %postun if required.
[-] : MUST - License file installed when any subpackage combination is installed.
[-] : MUST - The spec file handles locales properly.
[-] : MUST - No %config files under /usr.
[-] : MUST - Development .so files in -devel subpackage, if present.
[-] : MUST - Static libraries in -static subpackage, if present.
[!] : MUST - Rpmlint output is silent.
        
        rpmlint octave-octcdf-1.1.2-1.fc16.src.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
        rpmlint octave-octcdf-1.1.2-1.fc16.i686.rpm
        ================================================================================
        octave-octcdf.i686: W: obsolete-not-provided octave-forge
        octave-octcdf.i686: W: hidden-file-or-dir /usr/share/octave/packages/octcdf-1.1.2/packinfo/.autoload
        octave-octcdf.i686: E: zero-length /usr/share/octave/packages/octcdf-1.1.2/packinfo/.autoload
        octave-octcdf.i686: W: dangerous-command-in-%preun rm
        1 packages and 0 specfiles checked; 1 errors, 3 warnings.
        ================================================================================
        
        rpmlint octave-octcdf-debuginfo-1.1.2-1.fc16.i686.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
[x] : MUST - Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[x] : MUST - %build honors applicable compiler flags or justifies otherwise.
[x] : MUST - All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[x] : MUST - Package contains no bundled libraries.
[x] : MUST - Changelog in prescribed format.
[x] : MUST - Sources contain only permissible code or content.
[x] : MUST - Macros in Summary, %description expandable at SRPM build time.
[x] : MUST - Package requires other packages for directories it uses.
[x] : MUST - Package uses nothing in %doc for runtime.
[x] : MUST - Package is not known to require ExcludeArch.
[x] : MUST - Permissions on files are set properly.
[x] : MUST - Package does not contain duplicates in %files.
[-] : MUST - Large documentation files are in a -doc subpackage, if required.
[!] : MUST - If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x] : MUST - License field in the package spec file matches the actual license.
[x] : MUST - Package consistently uses macros. instead of hard-coded directory names.
[x] : MUST - Package meets the Packaging Guidelines.
[x] : MUST - Package does not generates any conflict.
[-] : MUST - Package does not contains kernel modules.
[x] : MUST - Package contains no static executables.
[x] : MUST - Package obeys FHS, except libexecdir and /usr/target.
[x] : MUST - Package must own all directories that it creates.
[x] : MUST - Package does not own files or directories owned by other packages.
[x] : MUST - Package installs properly.
[x] : MUST - Rpath absent or only used for internal libs.
[x] : MUST - Package is not relocatable.
[x] : MUST - Requires correct, justified where necessary.
[x] : MUST - Spec file is legible and written in American English.
[-] : MUST - Package contains a SysV-style init script if in need of one.
[x] : MUST - File names are valid UTF-8.
[x] : MUST - Useful -debuginfo package or justification otherwise.
[x] : SHOULD - Reviewer should test that the package builds in mock.
[x] : SHOULD - Dist tag is present.
[x] : SHOULD - SourceX / PatchY prefixed with %{name}.
[x] : SHOULD - SourceX is a working URL.
[x] : SHOULD - Spec use %global instead of %define.
[-] : SHOULD - Uses parallel make.
[-] : SHOULD - The placement of pkgconfig(.pc) files are correct.
[-] : SHOULD - If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[x] : SHOULD - No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x] : SHOULD - Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[x] : SHOULD - Package functions as described.
[x] : SHOULD - Latest version is packaged.
[x] : SHOULD - Package does not include license text files separate from upstream.
[-] : SHOULD - Man pages included for all executables.
[-] : SHOULD - Patches link to upstream bugs/comments/lists or are otherwise justified.
[x] : SHOULD - Scriptlets must be sane, if used.
[-] : SHOULD - Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[x] : SHOULD - Package should compile and build into binary rpms on all supported architectures.
[-] : SHOULD - %check is present and all tests pass.
[x] : SHOULD - Packages should try to preserve timestamps of original installed files.

Issues:
[!] : MUST - Rpmlint output is silent.
        
        rpmlint octave-octcdf-1.1.2-1.fc16.src.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
        rpmlint octave-octcdf-1.1.2-1.fc16.i686.rpm
        ================================================================================
        octave-octcdf.i686: W: obsolete-not-provided octave-forge
        octave-octcdf.i686: W: hidden-file-or-dir /usr/share/octave/packages/octcdf-1.1.2/packinfo/.autoload
        octave-octcdf.i686: E: zero-length /usr/share/octave/packages/octcdf-1.1.2/packinfo/.autoload
        octave-octcdf.i686: W: dangerous-command-in-%preun rm
        1 packages and 0 specfiles checked; 1 errors, 3 warnings.
        ================================================================================
        
        rpmlint octave-octcdf-debuginfo-1.1.2-1.fc16.i686.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================

[!] : MUST - If (and only if) the source package includes the text of the license(s) in its own file, then that 	file, containing the text of the license(s) for the package is included in %doc.

According to https://fedoraproject.org/wiki/PackagingDrafts/Octave#Documentation_files that I understand it is a draft:

The COPYING and DESCRIPTION files are documentation and need to be marked as %doc...
Comment 2 Orion Poplawski 2011-04-12 14:20:49 EDT
(In reply to comment #1)
> The package is approved.
> 
> There are two minor issues that I trust you to take care before importing the
> file. An answer is enough if there is nothing to do. :-)
> 
> 1) Are those .autoload files supposed to be present in the packinfo directory?

Yes, they tell octave to load the module at startup.

> 2) According to the draft the COPYING and DESCRIPTION files should be marked as
> %doc.

I suppose for COPYING that is strictly true.  Without DESCRIPTION though the pkg describe <pkg> command won't work I think, which seems bad.  I think I'll update the guidelines.
Comment 3 Orion Poplawski 2011-04-12 14:23:08 EDT
New Package SCM Request
=======================
Package Name: octave-octcdf
Short Description: A NetCDF interface for octave
Owners: orion
Branches: f15 el6
InitialCC:
Comment 4 Jason Tibbitts 2011-04-12 14:28:48 EDT
Git done (by process-git-requests).
Comment 5 Orion Poplawski 2011-04-18 13:50:02 EDT
Thanks all.

Note You need to log in before you can comment on or make changes to this bug.